VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Example"
   ClientHeight    =   1515
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   4710
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1515
   ScaleWidth      =   4710
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnDemo 
      Caption         =   "Example"
      Height          =   495
      Left            =   1680
      TabIndex        =   0
      Top             =   480
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Interface definitions.
'==============================================================================================================
Private Declare Function oakBegin Lib "xpstopdf.dll" Alias "_oakBegin@0" () As Integer
Private Declare Sub oakEnd Lib "xpstopdf.dll" Alias "_oakEnd@4" (ByVal id As Integer)
Private Declare Function oakExport Lib "xpstopdf.dll" Alias "_oakExport@4" (ByVal id As Integer) As Integer
Private Declare Function oakSetOption Lib "xpstopdf.dll" Alias "_oakSetOption@24" (ByVal id As Integer, ByVal code As Integer, ByVal nPara1 As Integer, ByVal nPara2 As Integer, ByVal sPara1 As String, ByVal sPara2 As String) As Integer
Private Declare Function oakGetOption Lib "xpstopdf.dll" Alias "_oakGetOption@24" (ByVal id As Integer, ByVal code As Integer, ByVal nPara1 As Integer, ByVal nPara2 As Integer, ByVal sPara1 As String, ByVal sPara2 As String) As Integer


    'Definitions of oakSetOption's nIndex properties
    '======================================================================================================
    Const OAK_Set_Output = 2101
    Const OAK_Set_Input = 2102
    Const OAK_Set_DPI = 2103
    Const OAK_Set_ColorDepth = 2104
    Const OAK_Set_PDFInfo = 2105
    Const OAK_Set_PDFEncrypt = 2106
    Const OAK_Set_Compression = 2108
    Const OAK_Set_Quality = 2109
    
    'file type's definitions.
    '==============================================================================================================
    Const OAK_FILE_PDF = 100
    Const OAK_FILE_TIF = 105
    Const OAK_FILE_JPG = 106
    Const OAK_FILE_BMP = 107
    Const OAK_FILE_GIF = 108
    Const OAK_FILE_PCX = 109
    Const OAK_FILE_PNG = 110
    Const OAK_FILE_EMF = 111
    Const OAK_FILE_WMF = 112

    'TIFF tag's definitions.
    '==============================================================================================================
    Const OAK_COMPRESSION_NONE = 1
    Const OAK_COMPRESSION_RLE = 2
    Const OAK_COMPRESSION_G3 = 3
    Const OAK_COMPRESSION_G4 = 4
    Const OAK_COMPRESSION_LZW = 5
    Const OAK_COMPRESSION_JPEG = 6
    Const OAK_COMPRESSION_PACKBITS = 7


    'Color Depth
    '==============================================================================================================
    Const oak_color_1 = 1    '2 colors
    Const oak_color_4 = 4    '16 colors
    Const oak_color_8_g = 7  '256 grayscale colors
    Const oak_color_8 = 8    '256 colors
    Const oak_color_24 = 24  'true colors
   

    'Supported pdf information
    Const OAK_PDFInfo_TITLE = "title"
    Const OAK_PDFInfo_SUBJECT = "subject"
    Const OAK_PDFINfo_AUTHOR = "author"
    Const OAK_PDFINfo_KEYWORDS = "keywords"
    Const OAK_PDFInfo_APPLICATION = "creator"

    'Supported the length of pdf encrypt
    Const OAK_PDF_ENCRYPT_LEVEL_40 = 40
    Const OAK_PDF_ENCRYPT_LEVEL_128 = 128

    'Supported operation limited
    Const OAK_PDF_PERMISSION_NONE = 0
    Const OAK_PDF_PERMISSION_PRINT = 1
    Const OAK_PDF_PERMISSION_COPYING = 2
    Const OAK_PDF_PERMISSION_MODIFY = 4
    Const OAK_PDF_PERMISSION_ALL = 7




Private Sub xpstopdf()

    Dim id As Integer
    Dim sOutFname As String
    Dim sOwnerPw As String
    Dim suserPw As String
    Dim xdpi As Integer
    Dim ydpi As Integer
    
    sOwnerPw = "user"
    suserPw = "owner"
    xdpi = 200
    ydpi = 200

    id = oakBegin()
    If id <> 0 Then

            '=============================================================
            'set output file
            sOutFname = "output.pdf"
            oakSetOption id, OAK_Set_Output, OAK_FILE_PDF, 0, sOutFname, vbNullString

            'set image DPI ,default xdpi=150,ydpi=150
            oakSetOption id, OAK_Set_DPI, xdpi, ydpi, vbNullString, vbNullString

            'set pdf info
            oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDFInfo_TITLE, "title"
            oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDFInfo_SUBJECT, "subject"
            oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDFINfo_AUTHOR, "author"
            oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDFINfo_KEYWORDS, "keywords"
            oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDFInfo_APPLICATION, "creator"

            'set pdf security
            oakSetOption id, OAK_Set_PDFEncrypt, OAK_PDF_ENCRYPT_LEVEL_128, OAK_PDF_PERMISSION_NONE, vbNullString, sOwnerPw
            'oakSetOption id, OAK_Set_PDFEncrypt, OAK_PDF_ENCRYPT_LEVEL_40, OAK_PDF_PERMISSION_PRINT, sUserPw, sOwnerPw

            'set input file
            oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
            oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
            oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
      
      'strat Convert
      oakExport id
                 
      oakEnd id
      
    End If
      
End Sub

Private Sub xpstotif_MP()

    Dim id As Integer
    Dim isMultiPage As Integer
    Dim xdpi, ydpi As Integer
    Dim iCompression As Integer
    Dim sOutTifFname As String

    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
        isMultiPage = 1
        sOutTifFname = "MultiPage_g4.tif"
        oakSetOption id, OAK_Set_Output, OAK_FILE_TIF, isMultiPage, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
        
        'set Color Depth
        oakSetOption id, OAK_Set_ColorDepth, oak_color_1, 0, 0, 0
        
        'set compress
        iCompression = OAK_COMPRESSION_G4
        oakSetOption id, OAK_Set_Compression, iCompression, 0, 0, 0
        
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub


Private Sub xpstotif_OP()

    Dim id As Integer
    Dim isMultiPage As Integer
    Dim xdpi, ydpi As Integer
    Dim iCompression As Integer
    Dim sOutTifFname As String
    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
        isMultiPage = 0
        sOutTifFname = "lzw.tif"
        oakSetOption id, OAK_Set_Output, OAK_FILE_TIF, isMultiPage, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
        
        'set compress
        iCompression = OAK_COMPRESSION_LZW
        oakSetOption id, OAK_Set_Compression, iCompression, 0, 0, 0
        
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub

Private Sub xpstojpg()

    Dim id As Integer
    Dim xdpi, ydpi As Integer
    Dim sOutTifFname As String

    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
         sOutTifFname = "output.jpg"
        oakSetOption id, OAK_Set_Output, OAK_FILE_JPG, 0, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
        
        'set jpeg quality (1 - 100)
        oakSetOption id, OAK_Set_Quality, 75, 0, 0, 0
        
        'set Color Depth
        'oakSetOption id, OAK_Set_ColorDepth, oak_color_8_g, 0, 0, 0
        
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub


Private Sub xpstobmp()

    Dim id As Integer
    Dim xdpi, ydpi As Integer
    Dim sOutTifFname As String

    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
         sOutTifFname = "output.bmp"
        oakSetOption id, OAK_Set_Output, OAK_FILE_BMP, 0, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
        
        
        'set Color Depth
        oakSetOption id, OAK_Set_ColorDepth, oak_color_8, 0, 0, 0
        
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub


Private Sub xpstogif()

    Dim id As Integer
    Dim xdpi, ydpi As Integer
    Dim sOutTifFname As String

    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
         sOutTifFname = "output.gif"
        oakSetOption id, OAK_Set_Output, OAK_FILE_GIF, 0, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
               
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub


Private Sub xpstopng()

    Dim id As Integer
    Dim xdpi, ydpi As Integer
    Dim sOutTifFname As String

    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
         sOutTifFname = "output.png"
        oakSetOption id, OAK_Set_Output, OAK_FILE_PNG, 0, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
        
        
        'set Color Depth
        oakSetOption id, OAK_Set_ColorDepth, oak_color_8, 0, 0, 0
        
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub

Private Sub xpstopcx()

    Dim id As Integer
    Dim xdpi, ydpi As Integer
    Dim sOutTifFname As String

    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
         sOutTifFname = "output.pcx"
        oakSetOption id, OAK_Set_Output, OAK_FILE_PCX, 0, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
        
        
        'set Color Depth
        'oakSetOption id, OAK_Set_ColorDepth, oak_color_8, 0, 0, 0
        
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub
   
   
Private Sub xpstoemf()

    Dim id As Integer
    Dim xdpi, ydpi As Integer
    Dim sOutTifFname As String
    
    '=============================================================
   id = oakBegin()
   If id <> 0 Then
        'set output file
         sOutTifFname = "output.emf"
        oakSetOption id, OAK_Set_Output, OAK_FILE_EMF, 0, sOutTifFname, 0
        
        'set dpi
        xdpi = 200
        ydpi = 200
        oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
        
        
        'set Color Depth
        'oakSetOption id, OAK_Set_ColorDepth, oak_color_8, 0, 0, 0
        
        'set input file
        oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test1.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test2.xps", vbNullString
        'oakSetOption id, OAK_Set_Input, 0, 0, ".\\xps_files\\test3.xps", vbNullString
        
        'strat Convert
        oakExport id
        
        oakEnd id
      
   End If
   
End Sub


'==============================================================================================================
Private Sub btnDemo_Click()

    
        xpstopdf
        xpstotif_MP
        xpstotif_OP
        xpstojpg
        
        xpstobmp
        xpstogif
        xpstopng
        xpstopcx
        xpstoemf
   
End Sub
